BIG SWORD
===

![](https://raw.githubusercontent.com/Wuyue/bigsword/master/img/BigSword_Normal.png)


基于rack的，微型web api开发框架。参考[hobbit](https://github.com/patriciomacadden/hobbit)和[sinatra](https://github.com/bmizerany/sinatra)。

A microframework for web api built on rack, reference to [hobbit](https://github.com/patriciomacadden/hobbit) and [sinatra](https://github.com/bmizerany/sinatra).


## 安装Installation

在Gemfile中添加

Add this line to your application's Gemfile:
```ruby
gem 'bigsword'
```
然后执行

And then execute:

```bash
$ bundle install
```
或者，你可以手动安装

Or install it yourself as:
```bash
$ gem install bigsword
```

## 使用Usage

*Hello World example*

新建一个app.rb文件

Create a file called app.rb:
```ruby
require "bigsword"

get "/hello" do
	"hello bigsword!"
end
```

创建config.ru文件

Create a config.ru file:
```ruby
require './app'
run Proc.new { |env| _call env }
```

执行

run:
```bash
$ rackup
```

打开浏览器，输入网址[http://localhost:9292/hello](http://localhost:9292/hello)。

View your app at [http://localhost:9292/hello](http://localhost:9292/hello).

## License

See the [LICENSE](https://github.com/Wuyue/bigsword/blob/master/LICENSE).